## org.apache.mahout.vectorizer.collocations.llr
Class CollocCombiner

    java.lang.Object
      org.apache.hadoop.mapreduce.Reducer<GramKey,Gram,GramKey,Gram>
          org.apache.mahout.vectorizer.collocations.llr.CollocCombiner

    public class CollocCombiner

extends org.apache.hadoop.mapreduce.Reducer<GramKey,Gram,GramKey,Gram>

Combiner for pass1 of the CollocationDriver. Combines frequencies for values for the same key

Nested Class Summary

Nested classes/interfaces inherited from class org.apache.hadoop.mapreduce.Reducer
`org.apache.hadoop.mapreduce.Reducer.Context`

Constructor Summary
`CollocCombiner()`

Method Summary
`protected void` `reduce(GramKey key, Iterable<Gram> values, org.apache.hadoop.mapreduce.Reducer.Context context)`

Methods inherited from class org.apache.hadoop.mapreduce.Reducer
`cleanup, run, setup`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CollocCombiner

    public CollocCombiner()

Method Detail

### reduce

    protected void reduce(GramKey key,
                          Iterable<Gram> values,
                          org.apache.hadoop.mapreduce.Reducer.Context context)
                   throws IOException,
                          InterruptedException

  Overrides:
    `reduce` in class `org.apache.hadoop.mapreduce.Reducer<GramKey,Gram,GramKey,Gram>`
  Throws:
    `IOException`
    `InterruptedException`

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.